from rest_framework import routers
from django.urls import include, path
from . import views

app_name = "business_model_canvas_app"

urlpatterns = [
    # path('', views.index, name='index'),
]
router = routers.DefaultRouter()

# --------------- FINE PREFISSO TEMPLATE ---------------

router.register(r'bmcmodellodibusiness', views.BMCModelloDiBusiness_View)
router.register(r'bmcpartnerchiave', views.BMCPartnerChiave_View)
router.register(r'bmcsegmentidiclientela', views.BMCSegmentiDiClientela_View)
router.register(r'bmcrelazioneconcliente', views.BMCRelazioneConCliente_View)
router.register(r'bmcattivitachiave', views.BMCAttivitaChiave_View)
router.register(r'bmcpropostadivalore', views.BMCPropostaDiValore_View)
router.register(r'bmcrisorsachiave', views.BMCRisorsaChiave_View)
router.register(r'bmcflussodiricavi', views.BMCFlussoDiRicavi_View)
router.register(r'bmccanaledidistribuzione',
                views.BMCCanaleDiDistribuzione_View)

urlpatterns += router.urls
